@font-face {
    font-family: 'Nunito';
    src: url('../fonts/Nunito-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: 'Nunito';
    src: url('../fonts/Nunito-Bold.ttf') format('truetype');
    font-style: normal;
    font-weight: 700;
}

:root {
    font-size: 15px;
    --black: #000;
    --contentScale: ;
}

body {
    margin: 0;
    overflow: hidden;
    font-family: 'Nunito', Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: var(--black);
}

p {
    margin: 0;
    hyphens: auto;
}

h1 {
    font-size: 2rem;
    font-weight: 700;
    margin: 0 0 .25em 0;
    line-height: 1.17em;
    text-wrap-style: balance;
}

.hidden {
    display: none !important;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: center;
}

#overlayModal {
    z-index: 2;
}

.modal {
    position: absolute;
    background-color: white;
    width: 25rem;
    box-shadow: .3rem .3rem var(--black);
    padding: 2rem;
    border-radius: .125rem;
    outline: solid .25rem var(--black);
}

.modal.t1 img {
    width: 100%;
    margin-bottom: 1rem;
}

.modal.t2 img {
    height: 5em;
    margin-bottom: -5em;
    position: relative;
    left: 50%;
    transform: translate(-50%, -110%);
}

.modal.t3 img {
    height: 8em;
    margin-bottom: -5em;
    position: relative;
    left: 50%;
    transform: translate(-50%, -70%);
}

.controls {
    z-index: 2;
    position: fixed;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
    margin-bottom: 5px;
}

.controls {
    top: 15px;
    right: 15px;
}

.button div {
    width: 90%;
    height: 90%;
    cursor: pointer;
    transition: 0.2s;
}

.button div:hover {
    width: 100%;
    height: 100%;
}

.button div img {
    width: 100%;
    height: 100%;
}

.transition {
    transition: width 1s ease-in-out, height 1s ease-in-out, top 1s ease-in-out, left 1s ease-in-out;

}

.content {
    position: relative;
    cursor: grab;
    cursor: -webkit-grab;
}

.content.dragging {
    cursor: grabbing !important;
    cursor: -webkit-grabbing !important;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: none !important;
}

.bg {
    width: 100%;
    z-index: 0;
}

#areas {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.area {
    opacity: 0;
}

.on-top {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
}

.on-top .modal {
    position: fixed;
    pointer-events: none;
}

@media (min-width: 500px) {
    #overlayModal {
        pointer-events: none;
        background-color: transparent;
    }

    .modal.align-right {
        transform: translateX(-100%);
        transform-origin: top right;
    }

    .modal.align-bottom {
        transform: translateY(-100%);
        transform-origin: bottom left;
    }

    .modal.align-bottom.align-right {
        transform: translate(-100%, -100%);
        transform-origin: bottom right;
    }

    .modal.t1 img {
        width: 33%;
        float: left;
        margin-right: 1rem;
    }
}

@media (max-width: 500px) {
    .button {
        height: 35px;
        width: 35px;
        margin-bottom: 3px;
    }

    .controls {
        top: 7px;
        right: 7px;
    }

    .modal {
        position: static;
        width: calc(100vw - 2rem);
        margin: 0;
        box-sizing: border-box;
        top: auto!important;
        left: auto!important;
    }

    .modal.t3 img {
        height: 6em;
        margin-bottom: -4em;
        position: relative;
        left: 50%;
        transform: translate(-50%, -80%);
    }
}